| 0.9.9 API documenation

Functions
GLM_GTC_epsilon
Recommended extensions

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | epsilonEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, T const &epsilon)
template<typename genType >
GLM_FUNC_DECL bool | epsilonEqual (genType const &x, genType const &y, genType const &epsilon)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | epsilonNotEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, T const &epsilon)
template<typename genType >
GLM_FUNC_DECL bool | epsilonNotEqual (genType const &x, genType const &y, genType const &epsilon)

## Detailed Description

Include <glm/gtc/epsilon.hpp> to use the features of this extension.

Comparison functions for a user defined epsilon values.

## Function Documentation

## ◆ epsilonEqual() [1/2]

GLM_FUNC_DECL vec<L, bool, Q> glm::epsilonEqual | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y,
|  | T const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is satisfied.

See also
  GLM_GTC_epsilon

## ◆ epsilonEqual() [2/2]

GLM_FUNC_DECL bool glm::epsilonEqual | ( | genType const & | x,
|  | genType const & | y,
|  | genType const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is satisfied.

See also
  GLM_GTC_epsilon

## ◆ epsilonNotEqual() [1/2]

GLM_FUNC_DECL vec<L, bool, Q> glm::epsilonNotEqual | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y,
|  | T const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is not satisfied.

See also
  GLM_GTC_epsilon

## ◆ epsilonNotEqual() [2/2]

GLM_FUNC_DECL bool glm::epsilonNotEqual | ( | genType const & | x,
|  | genType const & | y,
|  | genType const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| >= epsilon.

True if this expression is not satisfied.

See also
  GLM_GTC_epsilon